## ros-melodic-catkin-pip 0.2.3

=== debian/changelog ===
ros-melodic-catkin-pip (0.2.3-1stretch) stretch; urgency=high

  * Merge pull request #147 <https://github.com/asmodehn/catkin_pip/issues/147> from pyros-dev/lunar
    adding lunar
  * adding --ignore-src when calling rosdep on tests,
    to not attempt to download an old (or missing) version of catkin_pip.
  * adding lunar
  * Merge pull request #144 <https://github.com/asmodehn/catkin_pip/issues/144> from pyros-dev/fix_destinations
    fixing catkin_destination not being called
  * tests are now using the new catkin_pip_target and calling catkin_package directly.
  * adding catkin_pip_target to API, to allow the user to call catkin_package how he wants.
  * splitting catkin_pip_package in function and macro to expose the catkin_destinations variables set in the scope.
  * adding install rules to verify catkin variables.
  * Merge pull request #128 <https://github.com/asmodehn/catkin_pip/issues/128> from pyros-dev/pyup-update-pytest-3.0.6-to-3.1.3
    Update pytest to 3.1.3
  * Update pytest from 3.0.6 to 3.1.3
  * Contributors: AlexV, pyup-bot

 -- AlexV <asmodehn@gmail.com>  Thu, 10 Aug 2017 22:00:00 -0000

ros-melodic-catkin-pip (0.2.2-1stretch) stretch; urgency=high

  * Merge pull request #123 <https://github.com/asmodehn/catkin_pip/issues/123> from yotabits/devel
    Added option NOSE_OPT to catkin_add_nosetests func
  * Added option NOSE_OPT to catkin_add_nosetests func
    In order to use some specific option for nosetests we now have a NOSE_OPT
    parameter that allow to use some customs options for launching nosetests
    The same has been done for pytests with the param PYTEST_OPT
  * Contributors: AlexV, Thomas

 -- AlexV <asmodehn@gmail.com>  Mon, 29 May 2017 22:00:00 -0000

ros-melodic-catkin-pip (0.2.1-1stretch) stretch; urgency=high

  * Merge pull request #115 <https://github.com/asmodehn/catkin_pip/issues/115> from asmodehn/distutils
    Implementing distutils support
  * refining tests on install flow, to confirm which test framework is used.
    upgrading catkin package format to advised format 2.
  * fixes to support distutils as well as setuptools.
  * adding setuptools_setup test project and tests to validate package structure after installation.
  * adding test to make sure "make install" does not trigger errors.
  * adding a basic package to test distutils based setup.py
  * Contributors: AlexV, yotabits

 -- AlexV <asmodehn@gmail.com>  Wed, 10 May 2017 22:00:00 -0000

ros-melodic-catkin-pip (0.2.0-1stretch) stretch; urgency=high

  * removing dependency on daemontools (not available on fedora)
  * setlock -> flock
  * Merge pull request #95 <https://github.com/asmodehn/catkin_pip/issues/95> from k-okada/install_data
    data should not install right under the CMAKE_INSTALL_PREFIX
  * fixing syntax for ros distro autodetection when building this package.
  * Merge pull request #97 <https://github.com/asmodehn/catkin_pip/issues/97> from asmodehn/gopher-devel
    Preparing next release 0.2
  * install data
  * Contributors: AlexV, Kei Okada, alexv
  * Merge branch 'devel' into gopher-devel
  * now using catkin_pip_runcmd to retrieve cookiecutter package samples.
  * removing install envhook. seems to break things.
    we dont want the install envhook to be created for catkin_pip since the target build env does not exist.
  * Merge pull request #61 <https://github.com/asmodehn/catkin_pip/issues/61> from asmodehn/refactor_envs
    Refactor envs
  * adding docs to make decision clear regarding catkin / pyros_setup behavior.
  * fixing up install devel command since we do not pass editable pkg path into pythonpath anymore.
  * Merge branch 'gopher-devel' into refactor_envs
  * Merge pull request #76 <https://github.com/asmodehn/catkin_pip/issues/76> from asmodehn/easyinstall_fix
    Easyinstall fix
  * commenting install tests... we dont have any.
  * always adding the catkin_pip_env path to pythonpath to be able to find basic tools from the first time around.
  * envhooks now not adding to pythonpath from pth files. too confusing.
    envhooks now not adding non existent paths to pythonpath. maybe good idea to match site module behavior.
    fixing tests.
  * improved tests. added test for check with pyros_setup and interractive debugging
  * fixed broken tests. now needs pyros-setup to get .pth paths before workspaces.
    cosmetics.
  * improved tests and fix all.
    added actual test for pytest to pipproject.
  * cleaning up command args when running pip install --editable to clean python path and workaround pip bug...
  * replacing CI_ROS_DISTRO var by ROS_DISTRO, to have it set for calls to rosdep.
  * more exhaustive test for sys_path
  * commenting echoes from script since it cannot echo without breaking things anyway.
  * reviewing shell script to make them a tiny more robust...
  * removed useless bash envhook, fixed easy-install parse to include last line even if no empty line at end of file.
  * Merge pull request #77 <https://github.com/asmodehn/catkin_pip/issues/77> from asmodehn/pyup-update-pytest-3.0.5-to-3.0.6
    Update pytest to 3.0.6
  * Merge pull request #86 <https://github.com/asmodehn/catkin_pip/issues/86> from asmodehn/pyup-update-cookiecutter-1.5.0-to-1.5.1
    Update cookiecutter to 1.5.1
  * Update cookiecutter from 1.5.0 to 1.5.1
  * moved rosdep install out of catkin_pip, only used for tests.
    temporarily skipping broken test because of pip behavior...
  * improved concurrency handling for pip by using setlock from daemontools.
    improved status message output.
  * adding libssl-dev as dependency forpypackage
  * adding catkin_pip function to call rosdep install. attempting fix for pypackage tests.
  * adding libffi-dev as build_depend for python_boilerplate
  * API changed ! redesigned workflow by doing "pip install -e package" during make stage instead of configure. All tests passing.
  * Update pytest from 3.0.5 to 3.0.6
  * reverted to pip 8.1.2

